NewWacht Bench is live — AI-assisted development for Wacht

Get User Organization Memberships

GET
/me/organization-memberships

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/me/organization-memberships"
{
  "status": 0,
  "message": "string",
  "data": [
    {
      "id": "string",
      "organization": {
        "id": "string",
        "name": "string",
        "image_url": "string",
        "description": "string",
        "member_count": 0,
        "public_metadata": {
          "property1": null,
          "property2": null
        },
        "private_metadata": {
          "property1": null,
          "property2": null
        },
        "enforce_mfa": true,
        "enable_ip_restriction": true,
        "whitelisted_ips": [
          "string"
        ],
        "auto_assigned_workspace_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "segments": [
          {
            "id": "string",
            "created_at": "string",
            "updated_at": "string",
            "deployment_id": "string",
            "name": "string",
            "type": "user"
          }
        ]
      },
      "user": {
        "id": "string",
        "first_name": "string",
        "last_name": "string",
        "username": "string",
        "availability": "available\" | \"busy\" | \"away",
        "has_profile_picture": "string",
        "profile_picture_url": "string",
        "primary_phone_number": {
          "id": "string",
          "phone_number": "string",
          "country_code": "string",
          "verified": true,
          "verified_at": "string"
        },
        "primary_email_address": {
          "id": "string",
          "email": "string",
          "is_primary": true,
          "verified": true,
          "verified_at": "string",
          "verification_strategy": "otp"
        }
      },
      "roles": [
        {
          "id": "string",
          "organization_id": "string",
          "name": "string",
          "permissions": [
            "string"
          ],
          "created_at": "string",
          "updated_at": "string"
        }
      ],
      "public_metadata": {
        "property1": null,
        "property2": null
      },
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}